# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{magic}
  s.version = "0.2.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kuba Ku\305\272ma"]
  s.date = %q{2014-04-22}
  s.description = %q{Ruby FFI bindings to libmagic}
  s.email = ["kuba@jah.pl"]
  s.files = [".gitignore", "Gemfile", "LICENSE.txt", "README.rdoc", "Rakefile", "lib/magic.rb", "lib/magic/api.rb", "lib/magic/constants.rb", "lib/magic/database.rb", "lib/magic/errors.rb", "lib/magic/version.rb", "magic.gemspec", "test/fixtures/filelogo.jpg", "test/fixtures/magic.txt", "test/fixtures/magic_empty", "test/fixtures/magic_jpeg", "test/helper.rb", "test/test_magic.rb"]
  s.homepage = %q{https://github.com/qoobaa/magic}
  s.licenses = ["MIT"]
  s.post_install_message = %q{+-NOTE FOR LINUX USERS----------------------------------------------+
|                                                                   |
| Install libmagic using your package manager, e.g.                 |
|                                                                   |
|   sudo apt-get install file                                       |
|                                                                   |
+-NOTE FOR WINDOWS USERS -------------------------------------------+
|                                                                   |
| Install File for Windows from                                     |
|                                                                   |
|   http://gnuwin32.sourceforge.net/packages/file.htm               |
|                                                                   |
| You'll also need to set your PATH environment variable to the     |
| directory of the magic1.dll file                                  |
|                                                                   |
|   set PATH=C:\Program Files\GnuWin32\bin;%PATH%                   |
|                                                                   |
+-NOTE FOR MAC OS USERS --------------------------------------------+
|                                                                   |
| If you don't have libmagic.1.dylib file in your system, you need  |
| to install it using port command                                  |
|                                                                   |
|   sudo port install file                                          |
|                                                                   |
+-------------------------------------------------------------------+
}
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Determine file type and encoding using "magic" numbers}
  s.test_files = ["test/fixtures/filelogo.jpg", "test/fixtures/magic.txt", "test/fixtures/magic_empty", "test/fixtures/magic_jpeg", "test/helper.rb", "test/test_magic.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ffi>, [">= 0.6.3"])
      s.add_development_dependency(%q<bundler>, ["~> 1.5"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 2.0"])
    else
      s.add_dependency(%q<ffi>, [">= 0.6.3"])
      s.add_dependency(%q<bundler>, ["~> 1.5"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 2.0"])
    end
  else
    s.add_dependency(%q<ffi>, [">= 0.6.3"])
    s.add_dependency(%q<bundler>, ["~> 1.5"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 2.0"])
  end
end
